---
title: 'Копирование ресурса'
---

В процессе создания сайта может потребоваться необходимость копирования какого либо ресурса на локальный ПК, 
например: картинок, исполняемых файлов, архивов (баз данных, документов) и т.д. Как это сделать?  

К сожалению [документация](https://docusaurus.io/docs/markdown-features/assets#files) 
дает очень мало информации, при этом html вставка не работает.  
В интернете мало информации на эту тему. Кое-что обсуждается [здесь](https://github.com/facebook/docusaurus/discussions/10071).
***
**Получено опытным путем:**
1. В папке static создаем каталог с любым именем, например files
2. В папку files кладем копируемые файлы, для пример файл будет с именем sample.zip (внутри 2 файла: table.dbf, table.cdx)
3. Создаем ссылку на загрузку, например: `[Загрузить архив](pathname:///files/sample.zip)`.  
**Важным** является наличие `pathname:///`, [подробнее](https://docusaurus.io/docs/advanced/routing#escaping-from-spa-redirects)

Проверка: [Загрузить архив](pathname:///files/sample.zip)


![](img/copy-file1.png)  
Рис. 1 Структура сайта после выполнения `yarn deploy`
